BasicPanelUI (Java SE 11 & JDK 11 )
Keywords: javax.swing.plaf.basic.BasicPanelUI class

Module java.desktop
Package javax.swing.plaf.basic

## Class BasicPanelUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.PanelUI
    - - javax.swing.plaf.basic.BasicPanelUI

- Direct Known Subclasses:
    `SynthPanelUI`

      public class BasicPanelUI
      extends PanelUI

  BasicPanel implementation

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BasicPanelUI()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ComponentUI` | `createUI​(JComponent c)` | Returns an instance of `BasicPanelUI`.
    `int` | `getBaseline​(JComponent c, int width, int height)` | Returns the baseline.
    `Component.BaselineResizeBehavior` | `getBaselineResizeBehavior​(JComponent c)` | Returns an enum indicating how the baseline of the component changes as the size changes.
    `protected void` | `installDefaults​(JPanel p)` | Method for installing panel properties.
    `protected void` | `uninstallDefaults​(JPanel p)` | Method for uninstalling panel properties.

    - ### Methods declared in class javax.swing.plaf.ComponentUI

      `contains, getAccessibleChild, getAccessibleChildrenCount, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicPanelUI

          public BasicPanelUI()

  - ### Method Detail

    - #### createUI

          public static ComponentUI createUI​(JComponent c)

      Returns an instance of `BasicPanelUI`.
      Parameters:
        `c` - a component
      Returns:
        an instance of `BasicPanelUI`

    - #### installDefaults

          protected void installDefaults​(JPanel p)

      Method for installing panel properties.
      Parameters:
        `p` - an instance of `JPanel`

    - #### uninstallDefaults

          protected void uninstallDefaults​(JPanel p)

      Method for uninstalling panel properties.
      Parameters:
        `p` - an instance of `JPanel`

    - #### getBaseline

          public int getBaseline​(JComponent c,
                                 int width,
                                 int height)

      Returns the baseline.
      Overrides:
        `getBaseline` in class `ComponentUI`
      Parameters:
        `c` - `JComponent` baseline is being requested for
        `width` - the width to get the baseline for
        `height` - the height to get the baseline for
      Returns:
        baseline or a value < 0 indicating there is no reasonable baseline
      Throws:
        `NullPointerException` - if `c` is `null`
        `IllegalArgumentException` - if width or height is < 0
      Since:
        1.6
      See Also:
        `JComponent.getBaseline(int, int)`

    - #### getBaselineResizeBehavior

          public Component.BaselineResizeBehavior getBaselineResizeBehavior​(JComponent c)

      Returns an enum indicating how the baseline of the component changes as the size changes.
      Overrides:
        `getBaselineResizeBehavior` in class `ComponentUI`
      Parameters:
        `c` - `JComponent` to return baseline resize behavior for
      Returns:
        an enum indicating how the baseline changes as the component size changes
      Throws:
        `NullPointerException` - if `c` is `null`
      Since:
        1.6
      See Also:
        `JComponent.getBaseline(int, int)`